Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: EPONA make error...possibly able to help?  (Read 3918 times)

0 Members and 1 Guest are viewing this topic.

nullsys

  • Anope User
  • Offline Offline
  • Posts: 1
EPONA make error...possibly able to help?
« on: November 15, 2008, 06:09:04 PM »

Hello, I know this isn't strickly Anope, but I would presume its still close in some way.
I am having some problems with my MAKE.
So even if its not connected, maybe someone here can help?

During the install im asked to configure, so I leave out openssl support.

Here is the error I get during the MAKE section of install:
   
Code: [Select]
  Making install in sockets
      make[2]: Entering directory `/epona-1.5rc3/lib/sockets'
      /bin/sh ../../libtool --tag=CXX   --mode=compile g++ -DHAVE_CONFIG_H -I. -I../..    -I./../system -I./../containers -g -O2 -Wall -fno-exceptions -fno-rtti -MT libsockets_la-pseudo.lo -MD -MP -MF .deps/libsockets_la-pseudo.Tpo -c -o libsockets_la-pseudo.lo `test -f 'pseudo.cc' || echo './'`pseudo.cc
       g++ -DHAVE_CONFIG_H -I. -I../.. -I./../system -I./../containers -g -O2 -Wall -fno-exceptions -fno-rtti -MT libsockets_la-pseudo.lo -MD -MP -MF .deps/libsockets_la-pseudo.Tpo -c pseudo.cc  -fPIC -DPIC -o .libs/libsockets_la-pseudo.o
      ssl.cc:675: error: no 'int sockets::X509StoreContext::error() const' member function declared in class 'sockets::X509StoreContext'
      make[2]: *** [libsockets_la-pseudo.lo] Error 1
      make[2]: Leaving directory `/epona-1.5rc3/lib/sockets'
      make[1]: *** [install-recursive] Error 1
      make[1]: Leaving directory `/epona-1.5rc3/lib'
      make: *** [install-recursive] Error 1

Perhaps anyone could provide some help?
Thanks in advance.

System:
Fedora Core 6, Plesk 8.6.
Logged

Trystan Scott Lee

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 343
Re: EPONA make error...possibly able to help?
« Reply #1 on: November 15, 2008, 06:19:50 PM »

The newer 1.5.x branch of Epona is very different then Anope, the two went their separate ways when Epona was 1.4.x

In general the error appears to be something not setup correctly in the code, but since I have never seen the Epona 1.5.x branch code I would defer to them, they have a bug tracker setup at http://bugs.epona.org/epona/report best to poke them
Logged
my God my tourniquet, return to me salvation
Pages: [1]   Go Up